Subject: [PSAMP] Re: PSAMP-PROTO comments

From: Benoit Claise <[email-masked]>
Date: Mon, 16 Oct 2006 08:59:21 +0200

Hi Tanja,

Thanks for reading the draft.
> Hi Benoit, Jürgen and Andrew,
>
> I reviewed version 6 of the PSAMP-PROTO. I have only some minor comments:
>
> ----
> 1: Intro: " deterministic selection (filtering)" gives the impression that all deterministic selection processes are called filtering, which is not the case. Proposal: remove "(filtering)"
>   
Done.
> ---
> 2: Section 3.3.1: As far as I know we agreed that we use the same metering process definition for IPFIX and PSAMP. So the only difference I see between PSAMP and IPFIX processes are the Information elements that are reported. So I found section 3.3.1. a bit confusing.  
>   
See the other thread

> ---
> 3: Section 4: I would add a sentence after the bullet points: "In the following sections we investigate the differences between IPFIX and PSAMP for each of those aspects."
>   
Done.
> ---
> 4: Section 6: I would add an introduction in order to give an overview for the reader. Here a proposal:
>
> In this section we describes the usage of the IPFIX protocol for PSAMP. We describe the record formats and the additional requirements that must be met. PSAMP uses two different types of messages:
> 	- Packet Reports
> 	- Report Interpretation	
> The format of Packet Reports is defined in IPFIX Template Record. The PSAMP data is transferred as Information Elements (IEs) in IPFIX Data Records as described by the Template Record. There are two different types of Packet Reports. Basic Packet Report contain only the basic IEs required for PSAMP reporting. Extended Packet Report MAY contain further Information Elements.
> The format of Report Interpretations is defined in IPFIX Option Template Record. The Information Elements (IEs) are transferred in IPFIX Data Records as described by the Option Template Record. There are four different types of Report Interpretation messages:
>  - Selection Sequence Report Interpretation
>  - Selector Report Interpretation
>  - Selection Sequence Statistics Report Interpretation
>  - Accuracy Report Interpretation
> A description and examples about the usage of those reports is given below.
>   
Done.
> ---
> 5: Section 6.4.1, second bullet point: I would re-arrange the sentences so that it is clear, that a hash value only has to be reported if it is generated:
> If there is a digest function in the selection sequence, the Packet report MUST contain the hash value (digestHashValue) generated by the digest hash function for each selected packet.
> If there is more than one digest function then each hash value must be included in the same order as they appear in the selection sequence.  
> If there are no digest functions in the selection sequence no element for the digest needs to be sent.  
>   
Done.
> ---
> 6: section 6.5.3, paragraph 7:
> "The Attained Selection Fraction for the Selection Sequence is calculated by dividing the number of observed packets (packetsObserved Information Element) by the value of selected packets (packetsSelected Information Element) for the last Selector."  
>
> was probably meant to be:
>
> "The Attained Selection Fraction for the Selection Sequence is calculated by dividing the number of selected packets (packetsSelected Information Element) for the last Selector by the number of observed packets (packetsObserved Information Element)."  
>   
Good catch.
> ---
> Typos, etc.:
> - section 5.1, last paragraph: "...IPFIX protocol specifications are described in" ==> "...IPFIX protocol specifications described in" 
> - section 6.5.2.6, paragraph 12: "select those packets select those packets" 
>   
It was there to REALLY stress that you "MUST NOT select those packets" :)
Corrected.

Thanks for your comments.

Regards, Benoit.
> Regards,
> Tanja

_______________________________________________
PSAMP mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/psamp